<?php
$r = "../";
$code=$_GET['code'];
require_once($r."inc/funciones.php");
validNotSession($r);
$mysqli = connectDB($r);
$spe=$_SESSION['perfil'];
if($spe!=$pru && $spe!=$psu){ exit(header("Location:".$r."dashboard.php?error=NO TIENES PERMISO PARA ESTA SECCION"));}
$row1 = $mysqli->query("SELECT * FROM z_pedido INNER JOIN z_pedidos ON z_pedido.codigopedido='$code' AND z_pedidos.codigopedido='$code' AND z_pedidos.estado!='0'");
while($row2 = $row1->fetch_assoc()) {
    
    $codigo=$row2['codigopedido'];
    
    $abono=$row2['abono'];
    $fecha=$row2['fecha'];
    $idcliente=$row2['idcliente'];
    $adicional=$row2['adicional'];
    $rutero=$row2['idrutero'];
    $pago=$row2['pago'];
    
}
$linea="- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -";

$rute=srute($rutero);
$cliente=sclien($idcliente);
$nomcliente=$cliente['nombre'];
$nitcliente=$cliente['cedula'];
$dircliente=$cliente['direccion'];
$telcliente=$cliente['celular1'];
if($cliente['tipocliente']==1){$tipocliente="S";}
elseif($cliente['tipocliente']==2){$tipocliente="D";}
else{$tipocliente="O";}
$city=scity($cliente['municipio']);

 
//encabezado factura
$a="DISTRIBUIDORA PRACTIPASTA JJ\r\nNIT 13760821-8\r\nRÉGIMEN COMÚN\r\nCarrera 87 bis # 49-34 Sur Barrio Betania - Bogotá\r\nTel.: + 571 493 0730  -  Cel.: + 57 311 533 5623\r\n";
// decripcion del cliente y factura
$a.=utf8_decode("Nota de Pedido N°.: ");
$a.=utf8_decode($codigo).'\r\n';
$a.=utf8_decode("Fecha: ");
$a.=utf8_decode($fecha).'\r\n';
$a.=utf8_decode("Cliente: ");
$sunmobre=substr("$nomcliente", 0, 45);
$sunmobre2=substr("$nomcliente", 45, 30);
$a.=utf8_decode($sunmobre);
$a.=utf8_decode($sunmobre2).'\r\n';
$a.=utf8_decode("Dirección: ");
$a.=utf8_decode($dircliente).'\r\n';
$a.=utf8_decode("Ciudad: ");
$a.=utf8_decode($city['municipio']).'\r\n';
$a.=utf8_decode("Teléfono: ");
$a.=utf8_decode($telcliente).'\r\n';
$a.=utf8_decode("NIT y/o Cédula: ");
$a.=utf8_decode($nitcliente.' '.$tipocliente).'\r\n';
$a.=utf8_decode("Rutero: ");
$a.=utf8_decode($rute['nombre']).'\r\n';
//ENCABEZADO FACTURA
$a.=$linea;
$a.="COD";
$a.="NOMBRE PRODUCTO";
$a.="UNDS";
$a.="VALOR";
$a.="$linea";
$row1 = $mysqli->query("SELECT * FROM z_pedido INNER JOIN z_pedidos ON z_pedido.codigopedido='$code' AND z_pedidos.codigopedido='$code' AND z_pedidos.estado!='0'");
while($row2 = $row1->fetch_assoc()) {
    $idproducto=$row2['idproducto'];
    $cantidad=$row2['cantidad'];
    $bono=$row2['bono'];
    $bonos=$bonos+$bono;
    $precio=$row2['precio'];
    $producto=sprod($idproducto);
    $nomprod=$producto['producto'];
    $codprod=$producto['codigo'];
    $total=$precio*$cantidad;
    $totalitems=$totalitems+$cantidad;
    $subtotal=$subtotal+$total;
    $des=$row2['descuento'];
    $descu=($precio*$des)/100;
    $preciodes=$precio-$descu;
    $totaldes=$preciodes*$cantidad;
    $subtotaldes=$subtotaldes+$totaldes;
    $desc=$total-$totaldes;
    $descuen=$desc+$descuen;
    //$nombresub=substr("$nomprod", 0, 20);
    // imprecion
        $a.=utf8_decode(substr("$codprod", 0, 5));
    $a.=utf8_decode($nombresub);
    $a.="cantidad";
    $a.='$ '.number_format($totaldes);
    if($bono>0){
        $a.=utf8_decode(substr("$codprod", 0, 5));
    $a.=utf8_decode($nombresub);
    $a.="bono";
    $a.='BONO';}
    
    /*
    
    echo substr("$nomprod", 0, 20);
    echo $cantidad;
    echo $precio;*/
    
}
$a.=$linea;
        $a.="DESCUENTO ";
    $a.='$ '.number_format($descuen);
    $a.='SUB TOTAL $ '.number_format($subtotal);
    $a.="ADICIONALES ";
    $a.='$ '.number_format($adicional);
    $a.="TOTAL A PAGAR";
    $a.='$ '.number_format($subtotaldes+$adicional);
    $a.="UNDS";
    $a.=number_format($totalitems);
    $a.="BONOS";
    $a.=$bonos;
    $a.="TOTAL UNDS";
    $a.=number_format($totalitems+$bonos);
    $a.="ABONOS";
    $a.=$abono;
    $a.="SALDO RESTANTE";
    if($pago==1){
    $a.='BONO';}
    else{
    $a.='$ '.number_format($subtotaldes+$adicional-$abono);}

    $a.=$linea;
  
$a.="Favor verificar su cambio";
$a.="Gracias por su pedido";
$a.=utf8_decode("No se admiten reclamaciones después de");
$a.="entregado el producto";
$a.="conservar este recibo para reclamos";
$a.=$linea;
echo $a;
/*
Favor verificar su cambio
Gracias por su pedido
No se admiten reclamaciones después de 
entregado el producto.

[id] => 1
[idproducto] => 1
[cantidad] => 15
[precio] => 2300
[iva] => 5
[descuento] => 0
[bono] => 0
[codigopedido] => 000001
[iduser] => 2
[idcliente] => 583
[idrutero] => 1
[fechaentrega] => 2018-08-06
[estado] => 2
[pago] => 2
[fecha] => 2018-08-06 11:52:18

while($row2 = $row1->fetch_assoc()) {
    $a.=utf8_decode(print_r($row2)),'0',1,"C");
}*/
?>